
init python:

    # default project XML file, just a filename, should be located on project dir (project dir is "game")
    globals()["projectSpec"] = "project.xml"

    # defined in projectSpec XML file
    globals()["projectName"] = ""

    # expansion of projectName
    globals()["projectDirectory"] = ""

    # projectName + /scenes, + /out, etc.
    globals()["projectScenesDirectory"] = ""
    globals()["projectOutDirectory"] = ""
    globals()["projectImagesDirectory"] = ""
    globals()["projectSoundsDirectory"] = ""
    globals()["projectVoicesDirectory"] = ""
    globals()["projectFontsDirectory"] = ""

    # map of document names
    globals()["xmlNames"] = {
        "animacion" : "animaciones.xml",
        "transformacion" : "transformaciones.xml",
        "definicion" : "definiciones.xml",
        "narracion" : "narracion.xml",
        "actividad" : "actividad.xml",
        "iu" : "iu.xml",
        "transicion" : "transicion.xml"
    }

    # map of document files
    globals()["xmlDocs"] = {}

    # symbol table
    globals()["symt"] = []

    # colections of scenes, transforms, etc
    globals()["transforms"] = {}
    globals()["animations"] = {}
    globals()["wordDefinitions"] = {}
    globals()["storyScenes"] = {}
    globals()["activityScenes"] = {}
    globals()["transitionScenes"] = {}
    globals()["UIScenes"] = {}

    # user defined main menu
    globals()["definedMainMenu"] = False

    globals()["imageDefinition"] = {}
    globals()["requestedResources"] = []
    globals()["requestedGlobalVariables"] = []
    globals()["requestedPythonCode"] = []

    def requestResource(resourcePath):
        if resourcePath == None: return
        globals()["requestedResources"].append( resourcePath )

    def requestImageDefinition( imageId, imagePath ):
        globals()["imageDefinition"][imageId] = imagePath

    def requestGlobalVariable( var, init="" ):
        if not var in globals()['requestedGlobalVariables']:
            globals()["requestedGlobalVariables"].append( (var, init) )

    def requestPythonCode( code ):
        globals()["requestedPythonCode"].append( code )
        
