
screen logScreen:

    tag log

    default msg = "Empty."

    frame:
        xpadding 10
        ypadding 20
        align (0.4, 0.6)
        side "t c r":
            area (0, 0, 710, 500)
            text "CENDITEL - Generador de Cuentacuentos 1.0":
                color "#00f"
            viewport id "vpabout":
                vbox:
                    text msg:
                        size 14
                        color "#000"

            vbar value YScrollValue("vpabout")

init python:

    import os
    
    globals()["log"] = ""
    globals()["lastError"] = None
    
    def haltIfError():
        if globals()["lastError"] != None:
            renpy.call_screen("logScreen", msg=globals()["log"])

    def halt():
        renpy.call_screen("logScreen", msg=globals()["log"])

    def LOG(msg):
        globals()["log"] += msg
        renpy.show_screen("logScreen", msg=globals()["log"])
        renpy.restart_interaction()

    def LOGOK():
        globals()["log"] += "\n     {color=#0a0}COMPLETADO{/color}"
        globals()["log"] += "\n\n"
        renpy.show_screen("logScreen", msg=globals()["log"])
        renpy.restart_interaction()
        renpy.pause(0)

    def LOGERROR(msg):
        globals()["log"] += " {color=#a00}ERROR: " + msg + "{/color}"
        globals()["log"] += "\n"
        renpy.show_screen("logScreen", msg=globals()["log"])
        renpy.restart_interaction()

    def REPORTERROR(msg):
        globals()["lastError"] = msg
        LOGERROR(msg)

