
init python:

    class StoryScene(Scene):

        def __init__( self, xmlNode ):
            Scene.__init__(self, xmlNode)

            self.parse(xmlNode)

        def parse(self, xmlNode):

            # parse events
            for child in xmlNode:
                if child.tag == 'evento':
                    event = EventListener( child ) 
                    if event == None: continue
                    self.events[ event.id ] = event

        def generate(self):
            f = []
            if self.image != "" and self.image != None:
                requestImageDefinition( self.id + "_bg", self.image )
                requestResource( self.image )
                writeLine(f, "scene " + self.id + "_bg", 1)
            else:
                writeLine(f, "scene black", 1)
            
            for event in self.events:
                self.events[ event ].generateHandler(f)

            return f

