screen act6:

    add "images/activities/hom_reloj.png" pos(10, 20)

screen act7:

    add "images/activities/hom_reloj.png" pos(10, 20)

screen main_menu:

    imagebutton idle "images/main_menu/iniciar_inactivo.png" hover "images/main_menu/iniciar_activo.png" pos(100, 100) action Quit()
    imagebutton idle "images/main_menu/continuar_inactivo.png" hover "images/main_menu/continuar_activo.png" pos(100, 400) action Quit()
    imagebutton idle "images/main_menu/acercade_inactivo.png" hover "images/main_menu/acercade_activo.png" pos(200, 400) action Quit()
    imagebutton idle "images/main_menu/configuracion_inactivo.png" hover "images/main_menu/configuracion_activo.png" pos(300, 400) action Quit()
    imagebutton idle "images/main_menu/salir_inactivo.png" hover "images/main_menu/salir_activo.png" pos(400, 400) action Quit()
screen about:

    frame:
        xpadding 10
        ypadding 20
        align (0.4, 0.6)
        side "t c r":
            area (0, 0, 710, 300)
            label "Maestro Virtual"
            viewport id "vpabout":
                text "Este programa es\n Software Libre"
            vbar value YScrollValue("vpabout")
screen options:

    grid 2 1:
        align (0.5, 0.48)
        vbox:
            frame:
                area (0, 0, 300, 120)
                style "framedisplay"
                has vbox
                label "Pantalla"
                textbutton _("Ventana") action Preference("display", "window")
                textbutton _("Pantalla Completa") action Preference("display", "fullscreen")
            frame:
                area (0, 0, 300, 120)
                style "framedisplay"
                has vbox
                label "Velocidad del Texto"
                bar value Preference("text speed")
            frame:
                area (0, 0, 300, 120)
                style "framedisplay"
                has vbox
                label "Actividades"
                textbutton "Todas las actividades" action ToggleVariable("player_sageMode", 0) style "soundtest_button"
                textbutton "Sin preguntas abiertas" action ToggleVariable("player_sageMode", 1) style "soundtest_button"
                textbutton "Sin actividades" action ToggleVariable("player_sageMode", 2) style "soundtest_button"
        vbox:
            frame:
                area (0, 0, 300, 120)
                style "framedisplay"
                has vbox
                label "Volumen de la Musica"
                bar value Preference("music volume")
            frame:
                area (0, 0, 300, 120)
                style "framedisplay"
                has vbox
                label "Volumen del Sonido"
                bar value Preference("sound volume")
                textbutton "Comprobar" action Play("sound", "sounds/sound_test.ogg") style "soundtest_button"
            frame:
                area (0, 0, 300, 120)
                style "framedisplay"
                has vbox
                label "Volumen de las Voces"
                bar value Preference("voice volume")
                textbutton "Comprobar" action Play("voice", "sounds/voice_test.ogg") style "soundtest_button"

init python:
    style.pref_frame.xfill = True
    style.pref_frame.xmargin = 5
    style.pref_frame.top_margin = 5
    style.pref_frame.color = "#BBCC3B"
    style.pref_frame.font = "fonts/DejaVuSans-Bold.ttf"
    style.pref_frame.background = "#f00"
    style.framedisplay = Style(style.pref_frame)
    style.framedisplay.background = "#b3dea8"

    player_sageMode = True
    

init:   
    image load_bk = "images/misc/load_bk.png"

init python:
    style.svg_button = Style(style.large_button_text)
    imagesnap = None
    
    style.ld_button = Style(style.large_button)

screen load:   
    # This ensures that any other menu screen is replaced.
    tag menu
   
    add "load_bk"
       
    frame:
        yalign 0.4
        xalign 0.55
        xmaximum 700
        has vbox

        null height 15
        
        # The buttons at the top allow the user to pick a
        # page of files.
        hbox:            
            xalign 0.5
            textbutton _("Anterior") action FilePagePrevious()
            #textbutton _("Auto") action FilePage("auto")

            for i in range(1, 9):
                textbutton str(i) action FilePage(i)

            textbutton _("Siguiente") action FilePageNext()
        
        null height 20

        # Display a grid of file slots.
        grid 2 5:
            transpose True
            xfill True

            # Display ten file slots, numbered 1 - 10.
            for i in range(1, 11):

                # Each file slot is a button.
                button:
                    action FileAction(i)
                    xfill True
                    style "large_button"

                    has hbox

                    # Add the screenshot and the description to the
                    # button.
                    #add FileScreenshot(i)
                    $ file_number = str( ((int(persistent._file_page) - 1) * 10) + i)    # Assuming you have 10 slots per page
                    text ( " %s) " % file_number
                           + FileTime(i, format='%d/%m/%y, %H:%M', empty=_(u"Vacío"))
                           + "\n   "
                           + "{size=10}" + FileSaveName(i) + "{/size}") style "large_button_text"
                    

    imagebutton xpos 290 ypos 520 idle "images/user_info/userinfo_return_inactivo.png" hover "images/user_info/userinfo_return_activo.png" action Return()                
    

init:
    image save_bk = "images/misc/generic_background.jpg"

screen save:

    # This ensures that any other menu screen is replaced.
    tag menu
   
    add "save_bk"

    frame:
        yalign 0.4
        xalign 0.55
        xmaximum 700                
        has vbox
        
        null height 15

        # The buttons at the top allow the user to pick a
        # page of files.
        hbox:
            xalign 0.5
            textbutton _("Anterior") action FilePagePrevious()

            for i in range(1, 9):
                textbutton str(i) action FilePage(i)

            textbutton _("Siguiente") action FilePageNext()
        
        null height 20

        # Display a grid of file slots.
        grid 2 5:
            transpose True
            xfill True

            # Display ten file slots, numbered 1 - 10.
            for i in range(1, 11):

                # Each file slot is a button.
                button:
                    action FileAction(i)
                    xfill True
                    style "large_button"

                    has hbox
                    if FileLoadable(i):
                        textbutton "x" action FileDelete(i)                    

                    # Add the screenshot and the description to the
                    # button.
                    #add FileScreenshot(i)
                    $ file_number = str( ((int(persistent._file_page) - 1) * 10) + i)    # Assuming 10 slots per page
                    text ( " %s) " % file_number
                           + FileTime(i, format='%d/%m/%y, %H:%M', empty=_("Espacio Disponible"))
                           + "\n   "
                           + "   {size=10}" + FileSaveName(i) + "{/size}") style "large_button_text"

    imagebutton xpos 290 ypos 520 idle "images/user_info/userinfo_return_inactivo.png" hover "images/user_info/userinfo_return_activo.png" action Return()
    
screen infoPuntos:

    text "Jose" pos(100, 100)
    text "500" pos(50, 10)
screen infoLogros:

    add "images/main_menu/iniciar_inactivo.png" crop(50, 10, 10, 10)
    text "50" pos(50, 100)
    for i in range(10):
        $ x = 100 + (i % 8) * 50
        $ y = 100 + (i / 8) * 50
        imagebutton idle "images/user_info/caja.png" hover "images/user_info/caja.png" :
            pos(x, y)
        add Text(str(i+1)):
            align(0.5, 0.5)
            pos(x+15, y+15)
screen infoMenu:

    imagebutton idle "images/main_menu/iniciar_inactivo.png" hover "images/main_menu/iniciar_activo.png" pos(100, 100) action Quit()
    imagebutton idle "images/main_menu/continuar_inactivo.png" hover "images/main_menu/continuar_activo.png" pos(100, 400) action Quit()
    imagebutton idle "images/main_menu/acercade_inactivo.png" hover "images/main_menu/acercade_activo.png" pos(200, 400) action Quit()
    imagebutton idle "images/main_menu/configuracion_inactivo.png" hover "images/main_menu/configuracion_activo.png" pos(300, 400) action Quit()
    imagebutton idle "images/main_menu/salir_inactivo.png" hover "images/main_menu/salir_activo.png" pos(400, 400) action Quit()
