# -*- coding: utf-8 -*-

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s


class Images:

    #Abre un dialog para imagen
    def selectDialogImage(self, title_dialog=""):
        openfilename = QtGui.QFileDialog()
        return openfilename.getOpenFileName(caption=title_dialog, filter=_fromUtf8("Imagenes (*.png *.jpg)"))

class Scene(Images):
    def __init__(self):
        self.ruta = {}
        self.scene_skel = {"escena": {"id": "", "siguiente": "", "transicion": "", "content": \
                               {"evento": {"id": "", "content": \
                                    {"mostrarImagen": {"id": "", "fuente": "", "x": "0", "y": "0", "transformacion": ""}, \
                                    "reproducirSonido": {"id": "", "fuente": ""},\
                                    "mostrarTexto": {"id": "", "texto": "", "x": "0", "y": "", "ancho": "", "flotante": "", "imagen": "", "imx": "0", "imy": "0"}, \
                                    "esperar": {"t": "0.1"},\
                                    "reproducirVoz": {"fuente": ""},\
                                    "entradaTexto": {"id": "", "texto": "", "longitud": "0"},\
                                    "copiarVariable": {"origen": "", "destino": "", "modificador": ""},\
                                    "ocultarImagen": {"imagen": ""},\
                                    "entrarSeccion": {"section": ""}\
                                    }\

                               }}\
                          }}

    def actionAddScene_activated(self):
        self.filename = self.selectDialogImage(_fromUtf8("Seleccione la Imagen de Fondo para la Nueva Escena"))
        if self.filename:
            self.item = QtGui.QListWidgetItem(str(self.listWidget.count() + 1))
            self.item.setTextAlignment(QtCore.Qt.AlignHCenter | QtCore.Qt.AlignVCenter)
            font = QtGui.QFont()
            font.setBold(True)
            font.setPointSize(15)
            self.item.setFont(font)
            image = QtGui.QIcon(self.filename)
            self.item.setIcon(image)
            self.listWidget.addItem(self.item)
            self.label.setPixmap(QtGui.QPixmap(_fromUtf8(self.filename)))
            print self.listWidget.addItem(self.item)
            self.setIconStatus_IguGc("DeleteScene")
            self.ruta[self.item]=self.filename
            self.listWidget_itemClicked(self.item)
        else:
            pass
        self.setIconStatus_IguGc("SaveProject")

    def actionDeleteScene_activated(self):
        msgBox = QtGui.QMessageBox(QtGui.QMessageBox.Warning,
                _fromUtf8("Eliminar Escena"),
                _fromUtf8("¿Esta Seguro de Eliminar la Escena Seleccionada?"),
                QtGui.QMessageBox.NoButton)
        msgBox.addButton(_fromUtf8("&Aceptar"), QtGui.QMessageBox.AcceptRole)
        msgBox.addButton(_fromUtf8("&Cancelar"), QtGui.QMessageBox.RejectRole)
        if msgBox.exec_() == QtGui.QMessageBox.AcceptRole:
            self.listWidget.takeItem(self.listWidget.currentRow())
            self.label.setPixmap(QtGui.QPixmap(_fromUtf8("")))
            try:
                del self.ruta[self.escena]
                print self.ruta
            except:
                pass
        size = len(self.ruta)
        print size
        if size == 0:
            self.setIconDisableIcon("DeleteScene")
        else:
            pass
        self.setIconStatus_IguGc("SaveProject")

    def editarScene(self):
        print "\n \n"
        print "Esta en la edicion de la Escena" + self.ruta[self.escena]
        self.rutas = self.ruta.values()
        self.setIconStatus_IguGc("SaveProject")
