# -*- coding: utf-8 -*-

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s


import sys
import os
import itertools


class Scene:
    def __init__(self, layout):
        self.layout = layout
        self.row = 1
    
    def new(self):
        
        print("agregando")
        column = 1

        self.layout.setColumnSpacing (column, 20)
        self.layout.setRowSpacing(self.row, 130)

        img =  '/home/olivaresa/ginga_share/apps_prueba/igugc/scenas/1.jpg'
        thumb_widget = RectWidget(img)
        self.layout.addItem(thumb_widget, self.row, column, 1, 1)

        self.row += 1
        
    def remove(self):
        print("eliminando escena")
        

class RectWidget(QtGui.QGraphicsWidget):
    def __init__(self, thumb_path, parent = None):
        QtGui.QGraphicsWidget.__init__(self, parent)

        self.labelheight = 30
        self.bordersize = 1
        self.picdims = [100, 75]
        self.thumb_path = thumb_path
        self.pic = self.getpic(thumb_path)

        self._boundingRect = QtCore.QRect()
        
        self.setAcceptHoverEvents(True)


    def boundingRect(self):
        width = self.pic.rect().width() + self.bordersize * 2
        height = self.pic.rect().height() + self.labelheight + self.bordersize * 2
        
        thumb_widget_rect = QtCore.QRectF(0.0, 0.0, width, height)
        
        self._boundingRect = thumb_widget_rect
        #print thumb_widget_rect
        return thumb_widget_rect


    #OJO REVISAR POR QUE NO FUNCIONA?
    """def sizeHint(self, which, constraint = QtCore.QSizeF()):
        print("aquiuiiiiiiii")
        return self._boundingRect.size()
        #print("sizeHint")
        #print(dir(self))"""
        
        


    def getpic(self, thumb_path):
        orpixmap = QtGui.QPixmap()
        orpixmap.load(self.thumb_path)
        orpixmap = orpixmap.scaled(133, 100, QtCore.Qt.KeepAspectRatio) # redimensiona 
        return orpixmap    


    def paint(self, painter, option, widget):
        pen = QtGui.QPen()
        pen.setWidth(1)
        pen.setBrush(QtCore.Qt.black)
        painter.setPen(pen)
        
        # Draw border
        painter.drawRect(QtCore.QRect(0, 
                          0, 
                          self.pic.rect().width() + self.bordersize, 
                          self.pic.rect().height() + self.labelheight + self.bordersize))

        # Fill label
        painter.fillRect(QtCore.QRect(self.bordersize, 
                                      self.bordersize + self.pic.rect().height(), 
                                      self.pic.rect().width(), 
                                      self.labelheight), 
                                      QtCore.Qt.gray)

        # Draw image
        painter.drawPixmap(QtCore.QRect(self.bordersize, 
                                        self.bordersize, 
                                        self.pic.rect().width(), 
                                        self.pic.rect().height()), 
                           self.pic, 
                           self.pic.rect())

        # Draw text
        text_rect = QtCore.QRect(0, 
                                 self.pic.rect().y() + self.pic.rect().height(), 
                                 self.pic.rect().width(), 
                                 self.labelheight)
                                 
        painter.drawText(text_rect, QtCore.Qt.AlignCenter, self.thumb_path)
        
        
    def mousePressEvent(self, event):
        print('Widget Clicked')
        #print dir(event)

    def mouseHoverEvent(self, event):
        print('Widget enter')

    def mouseReleaseEvent(self, event):
        print('Widget release')
