
init python:

    import os
    import shutil

    def directoryExists(dir):
        if os.path.exists(dir) and os.path.isdir(dir):
            return True
        else:
            return False

    def fileExists(filename):
        if os.path.isfile(filename):
            return True
        else:
            return False

    def directoryIsWrittable(dir):
        return os.access(dir, os.W_OK)

    def clearDirectory(folder_path):
        try:
            for file_object in os.listdir(folder_path):
                file_object_path = os.path.join(folder_path, file_object)
                if os.path.isfile(file_object_path):
                    os.unlink(file_object_path)
                else:
                    shutil.rmtree(file_object_path)
        except:
            return False

        return True

    def createRenpyProjectTree(dir):
        try:
            if not os.path.exists(dir):
                os.makedirs(dir)
            if not os.path.exists(dir + "/game"):
                os.makedirs(dir + "/game")
            return True
        except:
            return False

    def generateRenpyUtilityFiles(dir):

        try:
            for filename in os.listdir( renpy.loader.transfn("") + "/utils"):
                fn, fext = os.path.splitext(filename)
                if fext == ".rpy":
                    with open( dir + "/" + filename, 'w') as f:
                        str = open( renpy.loader.transfn("utils/" + filename), 'r' ).read()
                        f.write(str)
        except:
            return False

        return True

    def writeLine(f, string, addtab=0):
        for i in range(addtab):
            #f.write("    ")
            f.append("    ")
        #f.write(string)
        f.append(string)
        #f.write("\n")
        f.append("\n")

    def writeLineStr(f, string, addtab=0):
        writeLine(f, '"' + string + '"', addtab)

