

init python:

    player_sageMode = True

    def actionClearAll():
        actionStopAudio()

        renpy.hide_screen(tag="storyScreen")

    def actionStopAudio():
        renpy.music.stop(channel="sound", fadeout=None)
        renpy.music.stop(channel="music", fadeout=None)
        renpy.music.stop(channel="voice", fadeout=None)

    def activityAsk(questionID, questionText):
        answer = ""
        while answer == "":
            answer = renpy.input(questionText) or ""
    
        return validateNL(answer, questionID)

    def activityResult(answerCode, answerYes, answerNo):
        if answerCode:
            defaultSpeaker(answerYes)
        else:
            defaultSpeaker(answerNo)

    #globals()["visualIdentificationElements"] = []
    
    def activityVisualIdentification(elements, shuffle=True):

        # muestra un elemento y pide el nombre de dicho elemento

        if shuffle:
            random.shuffle( elements )

        i = 0
        while i < len(elements):

            renpy.show_screen("screenVisualIdentification", showThis=[elements[i]])
            renpy.restart_interaction()

            answer = ""
            questionText = "Cual es el nombre de esto?"
            while answer == "":
                answer = renpy.input(questionText) or ""

            if answer == "salir":
                break

            if answer == elements[i]:
                i+=1
                    
    def activityVisualIdentification2(elements):

        # no muestra ningun elemento, y pide el nombre de alguno para mostrarlo

        showing = []
        while len(showing) < len(elements):

            renpy.show_screen("screenVisualIdentification", showThis=showing)
            renpy.restart_interaction()

            answer = ""
            questionText = "Cual es el nombre de esto?"
            while answer == "":
                answer = renpy.input(questionText) or ""

            if answer == "salir":
                break

            if answer in elements and not answer in showing:
                showing.append(answer)

