
transform transformShowAnimation(tiempo, x0, y0, x1, y1):
    pos (x0, y0)
    linear tiempo xpos x1 ypos y1

screen overlayText:

    default msg = ""
    default px = 0
    default py = 0
    default ix = 0
    default iy = 0
    default bg = None

    if bg != None:
        add bg:
            pos(ix, iy)

    text msg:
        pos(px, py)
        color "#000"

screen progressScreen:

    tag user_info_tab

    add "images/user_info/userinfo_bk.png"

    text "Hola"

    imagebutton: 
        pos(290, 510)
        idle "images/user_info/userinfo_return_inactivo.png" 
        hover "images/user_info/userinfo_return_activo.png" 
        action Hide("user_info_tab")

screen userInfo:

    tag user_info

    imagebutton: 
        pos(710, -5)
        idle "images/user_info/boton_info_inactivo.png" 
        hover "images/user_info/boton_info_activo.png" 
        #action Show("progressScreen")
        action Show("infoPuntos")
        #action Show("infoLogros")

init python:

    defaultSpeaker = Character("")

    def actionShowText(texto="", x=0, y=0, flotante=0, ancho=None, imagen=None, imx=None, imy=None):
        if flotante in [None, 0]:
            renpy.hide_screen("overlayText")
            actionShowTextNotOverlay(texto, x, y, ancho)
        else:
            actionShowTextOverlay(texto, x, y, imagen, imx, imy)

    def actionShowTextNotOverlay(texto="", x=0, y=0, ancho=None):
        # IMPORTANTE: Este handler crea una interacción


        wlm = 0
        wtm = 0
        wrm = 0

        #defaultSpeaker(texto)

        if x != None: 
            wlm = x

        if y != None:
            wtm = y

# TODO: No usar el literal 800
        if ancho != None:
            wrm = 800 - (wlm + ancho)

        c = Character("", what_color = "#000", window_left_margin=wlm, window_top_margin=wtm, window_right_margin=wrm)
        c(texto)

    def actionShowTextOverlay(texto="", x=0, y=0, background=None, imx=None, imy=None):
        renpy.show_screen("overlayText", msg=texto,px=x,py=y,bg=background,ix=imx, iy=imy)

    def actionPlaySound(fuente=None):
        if fuente == None:
            return

        if not renpy.exists(fuente):
            return

        renpy.music.play(fuente, channel="sound", if_changed=True)
        #renpy.music.set_volume(1.0, channel="music")

    def actionPlayMusic(fuente=None):
        if fuente == None:
            return

        if not renpy.exists(fuente):
            return

        renpy.music.play(fuente, channel="music", if_changed=True)

    def enterSection(section=0):
        globals()['player_curSection'] = section
        if section > globals()['player_fartherVisitedSection']:
            globals()['player_fartherVisitedSection'] = section

    def controlProgress(controlIndex):
        if controlIndex == None: return

        if controlIndex != 0:
            renpy.show_screen("userInfo")
        else:
            renpy.hide_screen("userInfo")


