

screen screenVisualIdentification:

    tag vi1

    default showThis = ""

    add Image(str(showThis))

screen screenVisualIdentification2:

    tag vi2

    default showThis = []

    for glyph in showThis:
        add glyph

init python:

    player_sageMode = True

    def actionClearAll():
        actionStopAudio()

        renpy.hide_screen(tag="storyScreen")

    def actionStopAudio():
        renpy.music.stop(channel="sound", fadeout=None)
        renpy.music.stop(channel="music", fadeout=None)
        renpy.music.stop(channel="voice", fadeout=None)

    def activityAsk(questionID, questionText):
        answer = ""
        while answer == "":
            answer = renpy.input(questionText) or ""
    
        return validateNL(answer, questionID)

    def activityResult(answerCode, answerYes, answerNo):
        if answerCode:
            defaultSpeaker(answerYes)
        else:
            defaultSpeaker(answerNo)

    #globals()["visualIdentificationElements"] = []

    def activityVisualIdentification(elements, elementsGlyphs, shuffle=True):

        # muestra un elemento y pide el nombre de dicho elemento

        indexBase = list(xrange(len(elements)))

        if shuffle:
            random.shuffle( indexBase )

        i = 0
        while i < len(elements):

            renpy.show_screen("screenVisualIdentification", showThis=elementsGlyphs[indexBase[i]])
            renpy.restart_interaction()

            answer = ""
            questionText = "Cual es el nombre de este objeto?"
            while answer == "":
                answer = renpy.input(questionText) or ""

            if answer == "salir":
                break

            if answer.lower() == elements[indexBase[i]].lower():
                defaultSpeaker("Excelente respuesta.")
            else:
                defaultSpeaker("No.")

            i+=1

    def activityVisualIdentification2(elements, elementsGlyphs):

        # no muestra ningun elemento, y pide el nombre de alguno para mostrarlo

        showing = []
        while len(showing) < len(elements):

            renpy.show_screen("screenVisualIdentification2", showThis=showing)
            renpy.restart_interaction()

            answer = ""
            questionText = "Identifica un objeto"
            while answer == "":
                answer = renpy.input(questionText) or ""

            if answer == "salir":
                break

            if answer.lower() in elements and not answer in showing:
                showing.append( elementsGlyphs[elements.index(answer.lower())] )
                defaultSpeaker("Excelente respuesta.")
            else:
                defaultSpeaker("No.")

