# `Maestro Virtual' una novela visual que relata el 
# cuento `El Principe Feliz' de Oscar Wilde.
# Copyright (C) 2010 Fundación CENDITEL.

# La Fundación CENDITEL concede permiso para copiar, distribuir 
# y/o modificar este programa bajo los términos de la licencia de
# software GPL versión 2.0 de la Free Software Foundation. 

# Este programa se distribuye con la esperanza de que sea útil, 
# pero SIN NINGUNA GARANTÍA; tampoco las implícitas garantías
# de MERCANTILIDAD o ADECUACIÓN A UN PROPÓSITO PARTICULAR. 
# Consulte la licencia GPL para más detalles.

# Una copia de la licencia en inglés y en español puede obtenerse 
# en los siguientes sitios en Internet:
# En inglés: http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
# En español: http://www.es.gnu.org/modules/content/index.php?id=8

#############################################################
init python:
    
    import re
    
    capitalWords = [u"europa", u"áfrica", u"oceanía", u"asia", u"américa", u"venezuela", u"nilo", u"egipto", u"portugal", u"rusia", u"islandia", u"simón", u"bolívar", u"sucre", u"mérida", u"caracas", u"india", u"mediterráneo"]


    def is_number(s):
        try:
            float(s)
            return True
        except ValueError:
            return False

    def checkDictionary(words):
        global correctedWords

                       
        correctedWords = {}
        correctionCount = 0

        wordlist = re.findall(r"\w+", words, re.U)
                
        for word in wordlist:
            
            if is_number(word): 
                continue
            
            if word.lower() in capitalWords and word != word.capitalize():
                correction = word.lower().capitalize()
            else:                
                word = word.lower()
                correction = ss_correct(word)
                
            if correction != word:
                if correction in capitalWords:
                    correction = correction.capitalize()

                correctedWords[word] = correction
                correctionCount = correctionCount + 1
        if correctionCount > 0:
            return 1
        else:
            return 0
    
#############################################################